/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Counter/include/Parameters.h"
#include <sstream>
using namespace std;

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace counter {


  string Parameters::print (uint32_t depth)
  {
    log_printf(FUNC,Counter,"print","Begin");

    string tab = string(depth,'\t');
    ostringstream msg;
    msg << tab << "<counter>" << endl
	<< tab << "\t<size_data value=\"" << _size_data << "\" />" << endl
	<< tab << "\t<nb_port   value=\"" << _nb_port   << "\" />" << endl
	<< tab << "</counter>" << endl;

    log_printf(FUNC,Counter,"print","End");
    
    return msg.str();
  };

  ostream& operator<< (ostream& output_stream ,
		       morpheo::behavioural::generic::counter::Parameters & x)
  {
    output_stream << x.print(0);
    
    return output_stream;
  };

}; // end namespace counter
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
